# Create GMB Listing

```http
POST https://api.synup.com/api/v4/locations/create/gmb-listing
```

Create a GMB listing for the location with ID TG9jYXRpb246MTQwNTU= and connect it to a Google account

Source: https://developer.synup.com/api/connected-accounts/create-gmb-listing

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required | The ID of the location for which GMB listing will be created. Encoded format |
| `connectedAccountId` | string | required | The ID of the connected Google account to associate with the listing |
| `folderId` | string | optional | The Google My Business folder ID where the listing should be created. You can get this ID from the List folders endpoint. If not provided, it will create under Ungrouped (Primary Group) |

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Content-Type` | string | optional |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/locations/create/gmb-listing' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` |  |
